KD Chart 2: KDChart::LineAttributes Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KDChart::LineAttributes Class Reference

`#include <KDChartLineAttributes.h>`

List of all members.

## Detailed Description

Set of attributes for changing the appearance of line charts.

Definition at line 37 of file KDChartLineAttributes.h.

## Public Types
enum | MissingValuesPolicy { MissingValuesAreBridged, MissingValuesHideSegments, MissingValuesShownAsZero, MissingValuesPolicyIgnored }
| MissingValuesPolicy specifies how a missing value will be shown in a line diagram. More...
## Public Member Functions
bool | displayArea () const
| LineAttributes (const LineAttributes &)
| LineAttributes ()
MissingValuesPolicy | missingValuesPolicy () const
bool | operator!= (const LineAttributes &other) const
LineAttributes & | operator= (const LineAttributes &)
bool | operator== (const LineAttributes &) const
void | setDisplayArea (bool display)
void | setMissingValuesPolicy (MissingValuesPolicy policy)
void | setTransparency (uint alpha)
uint | transparency () const
| ~LineAttributes ()

## Member Enumeration Documentation

enum KDChart::LineAttributes::MissingValuesPolicy

MissingValuesPolicy specifies how a missing value will be shown in a line diagram.

Missing value is assumed if the data cell contains a QVariant that can not be interpreted as a double, or if the data cell is hidden while its dataset is not hidden.

- `MissingValuesAreBridged` the default: No markers will be shown for missing values but the line will be bridged if there is at least one valid cell before and after the missing value(s), otherwise the segment will be hidden.
- `MissingValuesHideSegments` Line segments starting with a missing value will not be shown, and no markers will be shown for missing values, so this will look like a piece of the line is missing.
- `MissingValuesShownAsZero` Missing value(s) will be treated like normal zero values, and markers will shown for them too, so there will be no visible difference between a zero value and a missing value.
- `MissingValuesPolicyIgnored` (internal value, do not use)

Enumerator:

  MissingValuesAreBridged |
  MissingValuesHideSegments |
  MissingValuesShownAsZero |
  MissingValuesPolicyIgnored |

Definition at line 58 of file KDChartLineAttributes.h.

    00058                              {
    00059         MissingValuesAreBridged,
    00060         MissingValuesHideSegments,
    00061         MissingValuesShownAsZero,
    00062         MissingValuesPolicyIgnored };

## Constructor & Destructor Documentation

LineAttributes::LineAttributes | ( |  | ) |

Definition at line 57 of file KDChartLineAttributes.cpp.

    00058     : _d( new Private() )
    00059 {
    00060 }

LineAttributes::LineAttributes | ( | const LineAttributes & |  | ) |

Definition at line 62 of file KDChartLineAttributes.cpp.

    00063     : _d( new Private( *r.d ) )
    00064 {
    00065 }

LineAttributes::~LineAttributes | ( |  | ) |

Definition at line 77 of file KDChartLineAttributes.cpp.

    00078 {
    00079     delete _d; _d = 0;
    00080 }

## Member Function Documentation

bool LineAttributes::displayArea | ( |  | ) | const

Definition at line 105 of file KDChartLineAttributes.cpp.

References d.

Referenced by operator<<(), and operator==().

    00106 {
    00107    return d->displayArea;
    00108 }

LineAttributes::MissingValuesPolicy LineAttributes::missingValuesPolicy | ( |  | ) | const

Definition at line 95 of file KDChartLineAttributes.cpp.

References d.

Referenced by KDChart::LineDiagram::getCellValues(), and operator==().

    00096 {
    00097     return d->missingValuesPolicy;
    00098 }

bool KDChart::LineAttributes::operator!= | ( | const LineAttributes & | other | ) | const

Definition at line 82 of file KDChartLineAttributes.h.

    00082 { return !operator==(other); }

LineAttributes & LineAttributes::operator= | ( | const LineAttributes & |  | ) |

Definition at line 67 of file KDChartLineAttributes.cpp.

References d.

    00068 {
    00069     if( this == &r )
    00070         return *this;
    00071
    00072     *d = *r.d;
    00073
    00074     return *this;
    00075 }

bool LineAttributes::operator== | ( | const LineAttributes & |  | ) | const

Definition at line 82 of file KDChartLineAttributes.cpp.

References displayArea(), missingValuesPolicy(), and transparency().

    00083 {
    00084     return
    00085         missingValuesPolicy() == r.missingValuesPolicy() &&
    00086         displayArea() == r.displayArea() &&
    00087         transparency() == r.transparency();
    00088 }

void LineAttributes::setDisplayArea | ( | bool | display | ) |

Definition at line 100 of file KDChartLineAttributes.cpp.

References d.

    00101 {
    00102     d->displayArea = display;
    00103 }

void LineAttributes::setMissingValuesPolicy | ( | MissingValuesPolicy | policy | ) |

Definition at line 90 of file KDChartLineAttributes.cpp.

References d.

    00091 {
    00092     d->missingValuesPolicy = policy;
    00093 }

void LineAttributes::setTransparency | ( | uint | alpha | ) |

Definition at line 110 of file KDChartLineAttributes.cpp.

References d.

    00111 {
    00112      if ( alpha > 255 )
    00113         alpha = 255;
    00114     d->transparency = alpha;
    00115 }

uint LineAttributes::transparency | ( |  | ) | const

Definition at line 117 of file KDChartLineAttributes.cpp.

References d.

Referenced by operator<<(), and operator==().

    00118 {
    00119      return d->transparency;
    00120 }

The documentation for this class was generated from the following files:

- KDChartLineAttributes.h
- KDChartLineAttributes.cpp